New to itouch, would like some input on firmware

Discussion in 'iPod touch Firmware 2.X Jailbreak' started by lolpuretnalol, Sep 1, 2008.

  1. lolpuretnalol

    lolpuretnalol New Member

    Joined:
    Sep 1, 2008
    Messages:
    7
    Likes Received:
    0
    So yeh, im sure this has been asked a million times but which version of firmware do you guys recommend jailbreaking with? I havent gotten my itouch yet, should arrive in a few days but ive been doing alot of reading on it and such and i dont seem to recall coming across a thread with clear cut pros and cons to jailbreaking a particular version of firmware.

    I already have v2.0, 2.0.2, and 1.1.4 (in case i have to downgrade cause i think the new itouch comes with 1.1.5 installed) firmware downloaded as well as itunes 7.7 and 7.5.

    My intent on buying the itouch was really cause it looked cool and i needed a new mp3 player (my ipod classic that i bought 4 years ago is pretty fuxored). I never really imagined how much these itouches could do utility wise until i started reading stuff on this forum. So yea, i just plan to listen to music and probably customize my UI for the "cool look" factor.

    With that said, im hoping to get some input/opinion on which firmware i should jailbreak.

    Thanks for reading and sorry for the wall of text!
  2. jieo

    jieo New Member

    Joined:
    May 4, 2008
    Messages:
    552
    Likes Received:
    0
    Device:
    iPod touch
    go with firware 2.x.x (2.0.1, 2.0.2) thats where most of the apps (that were on firmwares 1.x.x) are being ported 2
  3. dpeters11

    dpeters11 New Member

    Joined:
    Sep 27, 2007
    Messages:
    22
    Likes Received:
    0
    Device:
    iPod touch
    I'd jailbreak 2.0.2 and install Winterboard through Cydia if you want to get UI themes.
  4. Nickll9009

    Nickll9009 New Member

    Joined:
    Sep 19, 2007
    Messages:
    1,367
    Likes Received:
    8
    Device:
    iPod touch
    If I were you, i'd search.

    There have been a gazillion threads like this one already made.

    SEARCH PEOPLE!! SEARCH!!!!!!!!!!!!!!!!!
  5. Fehr

    Fehr New Member

    Joined:
    Jul 27, 2008
    Messages:
    560
    Likes Received:
    0
    Go with 2.0.2. 2.0.2 not only has bug fixes for 2.0 and 2.0.1, but it also includes full App Store support, much like the rest of the 2.0.x firmwares. Unfortunately, you won't find all the applications you would find on 1.1.x... But mind you, I would go with the 2.0 family of firmwares as it has App Store support...

    2.0.x firmwares are also capable of a higher level. You won't have to wait long for the popular 1.1.x applications to be ported either.
  6. lolpuretnalol

    lolpuretnalol New Member

    Joined:
    Sep 1, 2008
    Messages:
    7
    Likes Received:
    0
    Ok cool, i guess ill update to 2.0.2 when my itouch comes in, thanks for the replies!
  7. young1298

    young1298 New Member

    Joined:
    Nov 19, 2008
    Messages:
    1
    Likes Received:
    0
    im trying to download sip-voip to my itouch. im running 2.0.2 5c1 how do i download that app tp my itouch

Share This Page